#ifndef _GST_LISTENER_H
#define _GST_LISTENER_H

#include <string.h>
#include <glib.h>
#include <gdk/gdk.h>
#include <math.h>
#include <gst/gst.h>
#include <gst/interfaces/propertyprobe.h>
#include "timer.h"

void vad_module_init();
void vad_module_exit();

void vad_start_VAD();
void vad_stop_VAD();

void vad_set_debug_flag(gboolean on_off);

void vad_clear_trigger_list();
void vad_add_trigger(TimerRec *tr);

gboolean vad_get_debug_flag();

// Uncomment this to show debug messages from listener.c
//#define DEBUG_LISTENER

#if defined(DEBUG_LISTENER) || defined(DEBUG_ALL)
#define LOG_VAD LOG_MSG
#else
#define LOG_VAD(x, ...)
#endif


#endif

